# Experiences

## GET /v1/flow/experiences

> Lists all experiences.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListExperiencesApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListExperiences_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListExperiences_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ExperienceM"}},"next":{"type":"string"}},"required":["items"]},"ExperienceM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"ageGroups":{"type":"array","items":{"$ref":"#/components/schemas/ExperienceM_AgeGroupsItem"}},"sortNumber":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"},"productListUid":{"type":"string"},"optionalProductListUid":{"type":"string"}},"required":["locales","uid"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"ExperienceM_AgeGroupsItem":{"type":"object","properties":{"id":{"type":"string"},"counted":{"type":"boolean"},"productUid":{"type":"string"},"locales":{"type":"object"}},"required":["id","counted","locales"]}}},"paths":{"/v1/flow/experiences":{"get":{"operationId":"Experiences_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExperiencesApiResponse"}}}}},"summary":"Lists all experiences.","tags":["Experiences"]}}}}
```

## POST /v1/flow/experiences

> Creates a new experience.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateExperienceApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateExperience_Params"}},"required":["params"]},"CreateExperience_Params":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/CreateExperience_Params_Locales"},"effectiveRules":{"type":"array","items":{"$ref":"#/components/schemas/CreateExperience_Params_EffectiveRulesItem"}},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"minScheduledItems":{"type":"number","nullable":true},"minScheduledPaymentPercent":{"type":"number","nullable":true},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"lastSeatingAdjustment":{"type":"number"},"confirmWinow":{"type":"number","nullable":true},"confirmWinowMethod":{"type":"object"},"autoCanceled":{"type":"boolean","nullable":true},"ageGroups":{"type":"array","items":{"type":"object"}},"productUid":{"type":"string"},"productList":{"type":"string"},"optionalProductList":{"type":"string"},"sortNumber":{"type":"number","nullable":true}},"required":["locales"]},"CreateExperience_Params_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/CreateExperience_Params_Locales_Ar"},"en":{"$ref":"#/components/schemas/CreateExperience_Params_Locales_En"}},"required":["ar","en"]},"CreateExperience_Params_Locales_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"CreateExperience_Params_Locales_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"CreateExperience_Params_EffectiveRulesItem":{"type":"object","properties":{"conditions":{"type":"array","items":{"$ref":"#/components/schemas/CreateExperience_Params_EffectiveRulesItem_ConditionsItem"}},"action":{"type":"string","enum":["exclude","include"]}},"required":["conditions","action"]},"CreateExperience_Params_EffectiveRulesItem_ConditionsItem":{"type":"object","properties":{"key":{"type":"string","enum":["area","branch","period","table"]},"operator":{"type":"string","enum":["contains","endsWith","equals","greater","greaterOrEquals","in","less","lessOrEquals","notEquals","startsWith"]},"value":{"type":"string"}},"required":["key","operator","value"]},"CreateExperienceApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateExperience_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateExperience_Data":{"type":"object","properties":{"succeed":{"type":"boolean"},"uid":{"type":"string"}},"required":["succeed","uid"]}}},"paths":{"/v1/flow/experiences":{"post":{"operationId":"Experiences_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateExperienceApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateExperienceApiResponse"}}}}},"summary":"Creates a new experience.","tags":["Experiences"]}}}}
```

## GET /v1/flow/experiences/{uid}

> Returns a specific experience.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetExperienceApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetExperience_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetExperience_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetExperience_Data_Item"}},"required":["item"]},"GetExperience_Data_Item":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"ageGroups":{"type":"array","items":{"$ref":"#/components/schemas/GetExperience_Data_Item_AgeGroupsItem"}},"sortNumber":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"},"productListUid":{"type":"string"},"optionalProductListUid":{"type":"string"}},"required":["locales","uid"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"GetExperience_Data_Item_AgeGroupsItem":{"type":"object","properties":{"id":{"type":"string"},"counted":{"type":"boolean"},"productUid":{"type":"string"},"locales":{"type":"object"}},"required":["id","counted","locales"]},"GetExperienceApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetExperience_Error"}},"required":["error"]},"GetExperience_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetExperience_ErrorCodes_enum"}]}},"required":["code"]},"GetExperience_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/flow/experiences/{uid}":{"get":{"operationId":"Experiences_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetExperienceApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetExperienceApiError"}}}}},"summary":"Returns a specific experience.","tags":["Experiences"]}}}}
```

## DELETE /v1/flow/experiences/{uid}

> Deletes a specific experience.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteExperienceApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/DeleteExperience_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"DeleteExperience_Data":{"type":"object","properties":{"succeed":{"type":"boolean"}},"required":["succeed"]}}},"paths":{"/v1/flow/experiences/{uid}":{"delete":{"operationId":"Experiences_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteExperienceApiResponse"}}}}},"summary":"Deletes a specific experience.","tags":["Experiences"]}}}}
```

## PATCH /v1/flow/experiences/{uid}

> Updates a specific experience

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"UpdateExperienceApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/UpdateExperience_Params"}},"required":["params"]},"UpdateExperience_Params":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/UpdateExperience_Params_Locales"},"effectiveRules":{"type":"array","items":{"$ref":"#/components/schemas/UpdateExperience_Params_EffectiveRulesItem"}},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"minScheduledItems":{"type":"number","nullable":true},"minScheduledPaymentPercent":{"type":"number","nullable":true},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"lastSeatingAdjustment":{"type":"number"},"confirmWinow":{"type":"number","nullable":true},"confirmWinowMethod":{"type":"object"},"autoCanceled":{"type":"boolean","nullable":true},"ageGroups":{"type":"object"},"productUid":{"type":"string"},"productList":{"type":"string"},"optionalProductList":{"type":"string"},"sortNumber":{"type":"number","nullable":true}},"required":["locales"]},"UpdateExperience_Params_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/UpdateExperience_Params_Locales_Ar"},"en":{"$ref":"#/components/schemas/UpdateExperience_Params_Locales_En"}},"required":["ar","en"]},"UpdateExperience_Params_Locales_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"UpdateExperience_Params_Locales_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"UpdateExperience_Params_EffectiveRulesItem":{"type":"object","properties":{"conditions":{"type":"array","items":{"$ref":"#/components/schemas/UpdateExperience_Params_EffectiveRulesItem_ConditionsItem"}},"action":{"type":"string","enum":["exclude","include"]}},"required":["conditions","action"]},"UpdateExperience_Params_EffectiveRulesItem_ConditionsItem":{"type":"object","properties":{"key":{"type":"string","enum":["area","branch","period","table"]},"operator":{"type":"string","enum":["contains","endsWith","equals","greater","greaterOrEquals","in","less","lessOrEquals","notEquals","startsWith"]},"value":{"type":"string"}},"required":["key","operator","value"]},"UpdateExperienceApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/UpdateExperience_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"UpdateExperience_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/UpdateExperience_Data_Item"}},"required":["item"]},"UpdateExperience_Data_Item":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"ageGroups":{"type":"array","items":{"$ref":"#/components/schemas/UpdateExperience_Data_Item_AgeGroupsItem"}},"sortNumber":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"},"productListUid":{"type":"string"},"optionalProductListUid":{"type":"string"}},"required":["locales","uid"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"UpdateExperience_Data_Item_AgeGroupsItem":{"type":"object","properties":{"id":{"type":"string"},"counted":{"type":"boolean"},"productUid":{"type":"string"},"locales":{"type":"object"}},"required":["id","counted","locales"]},"UpdateExperienceApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/UpdateExperience_Error"}},"required":["error"]},"UpdateExperience_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/UpdateExperience_ErrorCodes_enum"}]}},"required":["code"]},"UpdateExperience_ErrorCodes_enum":{"type":"string","enum":["NoChanges"]}}},"paths":{"/v1/flow/experiences/{uid}":{"patch":{"operationId":"Experiences_update","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateExperienceApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateExperienceApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateExperienceApiError"}}}}},"summary":"Updates a specific experience","tags":["Experiences"]}}}}
```

## GET /v1/flow/experiences/export

> Exports all experiences with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ExportExperiencesApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ExportExperiences_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ExportExperiences_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ExperienceM"}},"next":{"type":"string"}},"required":["items"]},"ExperienceM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"minGuests":{"type":"number","nullable":true},"maxGuests":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"feeInvoiceType":{"type":"object"},"feePerGuest":{"type":"boolean","nullable":true},"feeAppendLoyaltyBenefits":{"type":"boolean"},"default":{"type":"boolean","nullable":true},"image":{"type":"string","nullable":true},"ageGroups":{"type":"array","items":{"$ref":"#/components/schemas/ExperienceM_AgeGroupsItem"}},"sortNumber":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"},"productListUid":{"type":"string"},"optionalProductListUid":{"type":"string"}},"required":["locales","uid"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"required":["name"]},"ExperienceM_AgeGroupsItem":{"type":"object","properties":{"id":{"type":"string"},"counted":{"type":"boolean"},"productUid":{"type":"string"},"locales":{"type":"object"}},"required":["id","counted","locales"]}}},"paths":{"/v1/flow/experiences/export":{"get":{"operationId":"Experiences_export","parameters":[{"name":"updatedSince","required":false,"in":"query","schema":{"type":"string"}},{"name":"offset","required":false,"in":"query","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportExperiencesApiResponse"}}}}},"summary":"Exports all experiences with support for incremental fetching.","tags":["Experiences"]}}}}
```
